Skip to content

Poll Notifications

GET
/api/notifications/poll

Poll for new notifications since a given timestamp.

Designed for frontend polling at ~15 s intervals. Returns only notifications newer than since (or all if omitted), filtered by min_priority.

since
Any of:
string

ISO timestamp — only return notifications newer than this

min_priority
Any of:
string

Minimum priority level (low, normal, high, critical)

Successful Response

PollNotificationsResponse

Response for the poll endpoint — only notifications newer than since.

object
notifications
required
Notifications
Array<object>
NotificationItem

Single notification in API responses.

object
id
required
Id
string
type
required
Type
string
Allowed values: success error warning info
priority
required
Priority
string
Allowed values: low normal high critical
source
required
Source
string
Allowed values: user system backend mime divine_agent service
category
required
Category
string
Allowed values: general agent mime system workflow project health error success
title
required
Title
string
message
required
Message
string
timestamp
required
Timestamp
string
duration
Any of:
integer
groupKey
Any of:
string
progress
Any of:
integer
metadata
Any of:
object
key
additional properties
any
serverTimestamp
Servertimestamp
string

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object